var existUnsavedData = false;

$(document).ready(function(){
	if (typeof buildDescription === "function") { 
		buildDescription();
	} else {
		//72524
		$('body').css('visibility','visible');
	}
	//67802 IE Bug workarround
	if(window.parent){
		window.parent.postMessage("refreshlinks=" + window.location.href, '*');
	}

	// add event listner to top window
	if (window.addEventListener){
	    window.removeEventListener("message", listener);
	    window.addEventListener("message", listener, false);
	} else {
	    window.detachEvent("onmessage", listener);
	    window.attachEvent("onmessage", listener);
	}

	// function, that call on post message to main browser window
	function listener(event){
		if (event.data != null) {
			if (event.data == 'createunsaveddata') {
				existUnsavedData = true;
			} else if (event.data == 'unsaveddatawassave') {
				existUnsavedData = false;
			} 
		}
	}

	//61416
	$('body').css('display','');

	//59337
	//var element = $('#box-frame-footer').detach();
	//$("#reportcontainer").parent().append(element);

});